Publications
Approve a publication and schedule the reviewed revision
POST
sessionCookiecookie
better-auth.session_token<token>The Better Auth email/password session cookie used by the web application.
projectId*stringLength
1 <= lengthpublicationId*stringLength
1 <= length- body
scheduledAt?integerRange
0 <= valuepublishNow?booleanResponse for status 200
application/json- response
publication*curl -X POST 'https://postbot.example/api/projects/string/publications/string/approval-request/approve' \
-H 'Content-Type: application/json' \
-d '{}'Example Response
{
"publication": {
"id": "string",
"projectId": "string",
"postId": "string",
"channelId": "string",
"targetRevisionId": "string",
"deliveryMode": "manual",
"reviewState": "compatible",
"state": "draft",
"scheduledAt": -9007199254740991,
"publishedAt": -9007199254740991,
"externalId": "string",
"externalUrl": "string",
"errorMessage": "string",
"createdByActorId": "string",
"scheduledByActorId": "string",
"stateChangedByActorId": "string",
"publishedByActorId": "string",
"lastAssessedProfileVersionId": "string",
"createdAt": -9007199254740991,
"updatedAt": -9007199254740991,
"profileAssessmentIssues": [
{}
]
}
}